<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_Results StructType
 * @subpackage Structs
 */
class JP_Results extends AbstractStructBase
{
    /**
     * The CruiseResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseResult
     */
    public $CruiseResult;
    /**
     * The ExtraInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var mixed
     */
    public $ExtraInfo;
    /**
     * The FlightResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Flight
     */
    public $FlightResult;
    /**
     * The HotelCalendarResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelCalendarResult
     */
    public $HotelCalendarResult;
    /**
     * The HotelFutureRatesResults
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelFutureRatesResults
     */
    public $HotelFutureRatesResults;
    /**
     * The HotelResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelResult
     */
    public $HotelResult;
    /**
     * The InsuranceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceResult
     */
    public $InsuranceResult;
    /**
     * The PackageResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageResult
     */
    public $PackageResult;
    /**
     * The RentCarResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RentacarResult
     */
    public $RentCarResult;
    /**
     * The ServiceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceResult
     */
    public $ServiceResult;
    /**
     * The TransferResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferResult
     */
    public $TransferResult;
    /**
     * The VisaResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaResult
     */
    public $VisaResult;
    /**
     * Constructor method for JP_Results
     * @uses JP_Results::setCruiseResult()
     * @uses JP_Results::setExtraInfo()
     * @uses JP_Results::setFlightResult()
     * @uses JP_Results::setHotelCalendarResult()
     * @uses JP_Results::setHotelFutureRatesResults()
     * @uses JP_Results::setHotelResult()
     * @uses JP_Results::setInsuranceResult()
     * @uses JP_Results::setPackageResult()
     * @uses JP_Results::setRentCarResult()
     * @uses JP_Results::setServiceResult()
     * @uses JP_Results::setTransferResult()
     * @uses JP_Results::setVisaResult()
     * @param \StructType\JP_CruiseResult $cruiseResult
     * @param mixed $extraInfo
     * @param \StructType\JP_Flight $flightResult
     * @param \StructType\JP_HotelCalendarResult $hotelCalendarResult
     * @param \StructType\JP_HotelFutureRatesResults $hotelFutureRatesResults
     * @param \StructType\JP_HotelResult $hotelResult
     * @param \StructType\JP_InsuranceResult $insuranceResult
     * @param \StructType\JP_PackageResult $packageResult
     * @param \StructType\JP_RentacarResult $rentCarResult
     * @param \StructType\JP_ServiceResult $serviceResult
     * @param \StructType\JP_TransferResult $transferResult
     * @param \StructType\JP_VisaResult $visaResult
     */
    public function __construct(\StructType\JP_CruiseResult $cruiseResult = null, $extraInfo = null, \StructType\JP_Flight $flightResult = null, \StructType\JP_HotelCalendarResult $hotelCalendarResult = null, \StructType\JP_HotelFutureRatesResults $hotelFutureRatesResults = null, \StructType\JP_HotelResult $hotelResult = null, \StructType\JP_InsuranceResult $insuranceResult = null, \StructType\JP_PackageResult $packageResult = null, \StructType\JP_RentacarResult $rentCarResult = null, \StructType\JP_ServiceResult $serviceResult = null, \StructType\JP_TransferResult $transferResult = null, \StructType\JP_VisaResult $visaResult = null)
    {
        $this
            ->setCruiseResult($cruiseResult)
            ->setExtraInfo($extraInfo)
            ->setFlightResult($flightResult)
            ->setHotelCalendarResult($hotelCalendarResult)
            ->setHotelFutureRatesResults($hotelFutureRatesResults)
            ->setHotelResult($hotelResult)
            ->setInsuranceResult($insuranceResult)
            ->setPackageResult($packageResult)
            ->setRentCarResult($rentCarResult)
            ->setServiceResult($serviceResult)
            ->setTransferResult($transferResult)
            ->setVisaResult($visaResult);
    }
    /**
     * Get CruiseResult value
     * @return \StructType\JP_CruiseResult|null
     */
    public function getCruiseResult()
    {
        return $this->CruiseResult;
    }
    /**
     * Set CruiseResult value
     * @param \StructType\JP_CruiseResult $cruiseResult
     * @return \StructType\JP_Results
     */
    public function setCruiseResult(\StructType\JP_CruiseResult $cruiseResult = null)
    {
        $this->CruiseResult = $cruiseResult;
        return $this;
    }
    /**
     * Get ExtraInfo value
     * @return mixed|null
     */
    public function getExtraInfo()
    {
        return $this->ExtraInfo;
    }
    /**
     * Set ExtraInfo value
     * @param mixed $extraInfo
     * @return \StructType\JP_Results
     */
    public function setExtraInfo($extraInfo = null)
    {
        $this->ExtraInfo = $extraInfo;
        return $this;
    }
    /**
     * Get FlightResult value
     * @return \StructType\JP_Flight|null
     */
    public function getFlightResult()
    {
        return $this->FlightResult;
    }
    /**
     * Set FlightResult value
     * @param \StructType\JP_Flight $flightResult
     * @return \StructType\JP_Results
     */
    public function setFlightResult(\StructType\JP_Flight $flightResult = null)
    {
        $this->FlightResult = $flightResult;
        return $this;
    }
    /**
     * Get HotelCalendarResult value
     * @return \StructType\JP_HotelCalendarResult|null
     */
    public function getHotelCalendarResult()
    {
        return $this->HotelCalendarResult;
    }
    /**
     * Set HotelCalendarResult value
     * @param \StructType\JP_HotelCalendarResult $hotelCalendarResult
     * @return \StructType\JP_Results
     */
    public function setHotelCalendarResult(\StructType\JP_HotelCalendarResult $hotelCalendarResult = null)
    {
        $this->HotelCalendarResult = $hotelCalendarResult;
        return $this;
    }
    /**
     * Get HotelFutureRatesResults value
     * @return \StructType\JP_HotelFutureRatesResults|null
     */
    public function getHotelFutureRatesResults()
    {
        return $this->HotelFutureRatesResults;
    }
    /**
     * Set HotelFutureRatesResults value
     * @param \StructType\JP_HotelFutureRatesResults $hotelFutureRatesResults
     * @return \StructType\JP_Results
     */
    public function setHotelFutureRatesResults(\StructType\JP_HotelFutureRatesResults $hotelFutureRatesResults = null)
    {
        $this->HotelFutureRatesResults = $hotelFutureRatesResults;
        return $this;
    }
    /**
     * Get HotelResult value
     * @return \StructType\JP_HotelResult|null
     */
    public function getHotelResult()
    {
        return $this->HotelResult;
    }
    /**
     * Set HotelResult value
     * @param \StructType\JP_HotelResult $hotelResult
     * @return \StructType\JP_Results
     */
    public function setHotelResult(\StructType\JP_HotelResult $hotelResult = null)
    {
        $this->HotelResult = $hotelResult;
        return $this;
    }
    /**
     * Get InsuranceResult value
     * @return \StructType\JP_InsuranceResult|null
     */
    public function getInsuranceResult()
    {
        return $this->InsuranceResult;
    }
    /**
     * Set InsuranceResult value
     * @param \StructType\JP_InsuranceResult $insuranceResult
     * @return \StructType\JP_Results
     */
    public function setInsuranceResult(\StructType\JP_InsuranceResult $insuranceResult = null)
    {
        $this->InsuranceResult = $insuranceResult;
        return $this;
    }
    /**
     * Get PackageResult value
     * @return \StructType\JP_PackageResult|null
     */
    public function getPackageResult()
    {
        return $this->PackageResult;
    }
    /**
     * Set PackageResult value
     * @param \StructType\JP_PackageResult $packageResult
     * @return \StructType\JP_Results
     */
    public function setPackageResult(\StructType\JP_PackageResult $packageResult = null)
    {
        $this->PackageResult = $packageResult;
        return $this;
    }
    /**
     * Get RentCarResult value
     * @return \StructType\JP_RentacarResult|null
     */
    public function getRentCarResult()
    {
        return $this->RentCarResult;
    }
    /**
     * Set RentCarResult value
     * @param \StructType\JP_RentacarResult $rentCarResult
     * @return \StructType\JP_Results
     */
    public function setRentCarResult(\StructType\JP_RentacarResult $rentCarResult = null)
    {
        $this->RentCarResult = $rentCarResult;
        return $this;
    }
    /**
     * Get ServiceResult value
     * @return \StructType\JP_ServiceResult|null
     */
    public function getServiceResult()
    {
        return $this->ServiceResult;
    }
    /**
     * Set ServiceResult value
     * @param \StructType\JP_ServiceResult $serviceResult
     * @return \StructType\JP_Results
     */
    public function setServiceResult(\StructType\JP_ServiceResult $serviceResult = null)
    {
        $this->ServiceResult = $serviceResult;
        return $this;
    }
    /**
     * Get TransferResult value
     * @return \StructType\JP_TransferResult|null
     */
    public function getTransferResult()
    {
        return $this->TransferResult;
    }
    /**
     * Set TransferResult value
     * @param \StructType\JP_TransferResult $transferResult
     * @return \StructType\JP_Results
     */
    public function setTransferResult(\StructType\JP_TransferResult $transferResult = null)
    {
        $this->TransferResult = $transferResult;
        return $this;
    }
    /**
     * Get VisaResult value
     * @return \StructType\JP_VisaResult|null
     */
    public function getVisaResult()
    {
        return $this->VisaResult;
    }
    /**
     * Set VisaResult value
     * @param \StructType\JP_VisaResult $visaResult
     * @return \StructType\JP_Results
     */
    public function setVisaResult(\StructType\JP_VisaResult $visaResult = null)
    {
        $this->VisaResult = $visaResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_Results
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
